Package Gnumed :: Package wxpython :: Module gmCryptoText |
[frames] | no frames]

# Module gmCryptoText

source code

This module implements a ""crypto"" aware text widget

This text widget allows arbitrary text to be entered via keyboard, cut'n paste via clipboard, or text files via drag'n drop Right clicking pops up a menu that allows to encrypt or decrypt the selected text segment.

Classes
| gmTextctrlFileDropTarget a generic text control widget that accepts dropped files
| gmCryptoText A special text widget that supports cryptography

Variables
| ID_POP_ENCRYPT = `wx.NewId()`
| ID_POP_DECRYPT = `wx.NewId()`
| ID_POP_PASSPHRASE = `wx.NewId()`

Imports: wxversion, wx, string, rotor, binascii